Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.schema
Class PrimaryKeyInfo

    java.lang.Object
      |
      +--kodo.jdbc.schema.PrimaryKeyInfo

public class PrimaryKeyInfo
extends Object

Holder for information about a primary key.

Since:
  3.0.0
See Also:
  `DBDictionary.getPrimaryKeys(java.sql.DatabaseMetaData, java.lang.String, java.lang.String, java.lang.String, java.sql.Connection)`, `SchemaGenerator`

Constructor Summary
`PrimaryKeyInfo()`
`PrimaryKeyInfo(ResultSet meta)` Construct a PrimaryKeyInfo from the `ResultSet` from `DatabaseMetaData.getPrimaryKeys(java.lang.String, java.lang.String, java.lang.String)` method.

Method Summary
`String` | `getColumnName()`
`String` | `getPrimaryKeyName()`
`String` | `getSchemaName()`
`String` | `getTableName()`
`void` | `setColumnName(String columnName)`
`void` | `setPrimaryKeyName(String primaryKeyName)`
`void` | `setSchemaName(String schemaName)`
`void` | `setTableName(String tableName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimaryKeyInfo

    public PrimaryKeyInfo()

### PrimaryKeyInfo

    public PrimaryKeyInfo(ResultSet meta)
                   throws SQLException

  Construct a PrimaryKeyInfo from the `ResultSet` from `DatabaseMetaData.getPrimaryKeys(java.lang.String, java.lang.String, java.lang.String)` method.

Method Detail

### setSchemaName

    public void setSchemaName(String schemaName)

### getSchemaName

    public String getSchemaName()

### setTableName

    public void setTableName(String tableName)

### getTableName

    public String getTableName()

### setColumnName

    public void setColumnName(String columnName)

### getColumnName

    public String getColumnName()

### setPrimaryKeyName

    public void setPrimaryKeyName(String primaryKeyName)

### getPrimaryKeyName

    public String getPrimaryKeyName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.